Pesquisa resultou em 10 ocorrências

por Garr
Dom 14 Jun 2009 12:31:07 pm
Fórum: Outros
Tópico: Sugestão para o fórum: inclusão de diagramas UML
Respostas: 0
Exibições: 980

Sugestão para o fórum: inclusão de diagramas UML

Uma idéia que tive: Imagine que seja um usuário inexperiente (como sou), que tem a idéia sobre alguma rotina no Autolisp, mas não sabe explicar por palavras porque não conhece muito bem a linguagem (como o que é “função”, “string”, “list” ), então explica o que quer fazer, mas ninguém entende. Ou o ...
por Garr
Sáb 13 Jun 2009 10:16:30 pm
Fórum: Dúvidas
Tópico: seleção por“entsel” “ssget” comportamento inesperado
Respostas: 3
Exibições: 2025

Re: acho que é isso:

tire o car, pois você está selecionando o primeiro objeto da lista [lsp](setq sel1(ssget))[/lsp] Não da certo deste jeito Gustavolisp, ele retorna algo do tipo <Selection set: 41> Mas deveria retornar algo assim: (<Entity name: 7ef91078> (1484.37 1031.94 0.0)) Obrigado assim mesmo.
por Garr
Sáb 13 Jun 2009 6:53:54 pm
Fórum: Dúvidas
Tópico: seleção por“entsel” “ssget” comportamento inesperado
Respostas: 3
Exibições: 2025

seleção por“entsel” “ssget” comportamento inesperado

Olá. Estou tentando criar um comando e estou tendo problemas para selecionar objetos para que sejam manipulados. [lsp](defun c:yx (/ obj sel1) (setq sel1 (car (ssget ))) ;Seleciona objetos (setq obj (entget sel1)) ;Mostra as propriedades )[/lsp] Parece que quando seleciono por “ssget”, ele retorna a...
por Garr
Qui 11 Jun 2009 9:15:37 pm
Fórum: Dúvidas
Tópico: Minha primeira lisp inutil (FAIL)
Respostas: 6
Exibições: 2457

O exemplo que citei (c:pm) utiliza a função (ptmed) que você criou e no caso o svfabi arrumou. [lsp](DEFUN PTMED (P1 P2 / XM YM ZM) (SETQ XM (/ (+ (CAR P1) (CAR P2)) 2) ;XM = (P1x + P2X)/2) YM (/ (+ (CADR P1) (CADR P2)) 2) ;YM = (P1Y + P2Y)/2) ZM (/ (+ (CDDR P1) (CDDR P2)) 2) ;ZM = (P1Z + P2Z)/2)) ...
por Garr
Seg 25 Mai 2009 8:56:22 pm
Fórum: Dúvidas
Tópico: Minha primeira lisp inutil (FAIL)
Respostas: 6
Exibições: 2457

É , eu passei a entender que c: nomeia comando depois que li mais a respeito (nas suas apostilas tem isso). Eu estou fazendo o seguinte: arrisco rotinas em bloco de notas, depois salvo em extensão .lsp, depois abro o AutoCAD, uso o comando “LSP” na barra de comando e carrego o arquivo .lsp Agora cri...
por Garr
Dom 24 Mai 2009 8:14:18 pm
Fórum: Dúvidas
Tópico: Minha primeira lisp inutil (FAIL)
Respostas: 6
Exibições: 2457

Entendi. Obrigado
por Garr
Sáb 23 Mai 2009 5:47:39 pm
Fórum: Dúvidas
Tópico: Minha primeira lisp inutil (FAIL)
Respostas: 6
Exibições: 2457

Minha primeira lisp inutil (FAIL)

Então. Comecei a pouco tempo e fiz, ou melhor tentei criar um comando que me fale os pontos médios de uma linha mas acho que passei longe disso. Primeiro criei essas linhas em um bloco de notas e colei no na barra de comandos do AutoCad [lsp] (DEFUN PTMED (P1 P2/ XM YM ZM) (SETQ XM (/(+ (CAR P1) (CA...
por Garr
Sáb 16 Mai 2009 8:43:39 pm
Fórum: Dúvidas
Tópico: Começando do Zero (newbie)
Respostas: 2
Exibições: 741

Pela sua resposta imagino que seja possível, mas complexo. Sobre as apostilas, eu solicitei e você já me enviou por e-mail no dia 13. Obrigado.
por Garr
Ter 12 Mai 2009 9:25:49 pm
Fórum: Dúvidas
Tópico: Começando do Zero (newbie)
Respostas: 2
Exibições: 741

Começando do Zero (newbie)

Há algum tempo venho lendo tópicos do fórum e agora estou motivado a aprender AutoLisp. Exponho o meu caso e minhas dificuldades aqui em baixo, e direciono para os usuários mais experientes, se por acaso não tiverem paciência de ler tudo, por favor leiam apenas a última parte em vermelho. Sou técnic...
por Garr
Sáb 09 Mai 2009 9:17:44 am
Fórum: Dúvidas
Tópico: Mudar escala e as dimensões juntas
Respostas: 2
Exibições: 1447

Pelo que eu entendi você configurou todas as suas dimensões e fez um desenho em escala de uma “drawing unit” equivalente a 1mm de seu projeto e depois aplicou o comando “SCALE” com o “SCALE FACTOR” = 0.001 para “passar de mm para m” certo? O desenho fica bagunçado porque você alterou a escala do des...